"""
test_DROP_Occhi.py — Stress Test: rimozione dello scaffale Occhi dal catalogo

Come funziona:
  1. import_dataset()                           : carica il catalogo completo
  2. Crea un'istanza di "ScaffaleDropStressTest" con parametro "shelf_drop=['Occhi']" da droppare
  3. Chiama il metodo sim_ScaffaleDropStressTest() : per le probabilità aggiorante
  4. Salva CSV con prodotti rimasti, probabilità medie, probabilità per segmento
[Si può aggiungere il plot come in altri test, vedere ad esempio test_DROP_A.py]

Output:
  - prodotti_noOcchi.csv       : DataFrame prodotti dopo il drop
  - prob_prodotti_noOcchi.csv  : vettore probabilità medie
  - prob_segmenti_noOcchi.csv  : matrice probabilità per segmento
"""
import sys
import os
cartella_progetto = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
if cartella_progetto not in sys.path:
    sys.path.append(cartella_progetto)
from models import *
from plot_segment_test import *
from prepare_data import import_dataset

prodotti_tab=import_dataset() 

test_noOcchi = ScaffaleDropStressTest(prodotti_tab, shelf_drop=['Occhi'])
res_noOcchi = test_noOcchi.sim_ScaffaleDropStressTest(MNLChoiceModel, LatentChoiceModel)

# Esportazione caratteristiche prodotti rimasti
res_noOcchi[0].to_csv(r'test_res\prodotti_noOcchi.csv', index=False)
# Esportazione probabilità prodotti
res_noOcchi[1].to_csv(r'test_res\prob_prodotti_noOcchi.csv', header=False, index=False)
# Esportazione probabilità segmenti
res_noOcchi[2].to_csv(r'test_res\prob_segmenti_noOcchi.csv', header=False, index=False)

print('File CSV generati con successo per l\'analisi dei grafici.')